package com.energy.manage.service.service.units.impl;


import cn.hutool.core.bean.BeanUtil;
import com.energy.manage.common.base.BaseServiceImpl;
import com.energy.manage.common.base.Page;
import com.energy.manage.common.constant.redis.ManagerRedisKeyConstant;
import com.energy.manage.common.enums.DeleteStatusEnum;
import com.energy.manage.common.enums.IdPrefixEnum;
import com.energy.manage.common.po.units.UnitDictBrandModelPO;
import com.energy.manage.common.po.units.UnitDictConstantsPO;
import com.energy.manage.common.util.IdGeneratorUtil;
import com.energy.manage.service.domain.dto.units.*;
import com.energy.manage.service.domain.vo.units.UnitDictBrandModelVo;
import com.energy.manage.service.domain.vo.units.UnitDictConstantsVo;
import com.energy.manage.service.domain.vo.units.UnitDictRoutineListVo;
import com.energy.manage.service.mappers.units.*;
import com.energy.manage.service.service.cache.CacheService;
import com.energy.manage.service.service.dict.DictConstantsService;
import com.energy.manage.service.service.units.UnitDictConstantsService;
import com.energy.manage.service.service.units.UnitService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.google.common.collect.Lists;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.Date;
import java.util.List;

/**
 * 部件字典表接口
 */
@Slf4j
@Service
public class UnitServiceImpl implements UnitService {

    @Autowired
    private UnitDictConstantsService unitDictConstantsService;

    @Autowired
    private UnitBearingsMapper unitBearingsMapper;

    @Autowired
    private UnitDynamoMapper unitDynamoMapper;

    @Autowired
    private UnitGearboxMapper unitGearboxMapper;

    @Autowired
    private UnitGearboxStructureMapper unitGearboxStructureMapper;

    @Autowired
    private UnitGearboxBearingsMapper unitGearboxBearingsMapper;


    @Override
    public List<UnitDictRoutineListVo> getUnitDictRoutineList(UnitDictRoutineDto unitDictRoutineDto) {
        List<UnitDictConstantsVo> unitDictConstantsVos = unitDictConstantsService.getUnitDictConstantsList(unitDictRoutineDto.getContentsType());
        UnitDictRoutineListVo vo = null;
        List<UnitDictRoutineListVo> listVos = Lists.newArrayList();
        for(UnitDictConstantsVo dictConstantsVo : unitDictConstantsVos){
            vo = new UnitDictRoutineListVo();
            vo.setKeyId(dictConstantsVo.getContentsValue());
            vo.setValueName(dictConstantsVo.getContentsName());
            listVos.add(vo);
        }
        return listVos;
    }


    @Override
    public List<String> getBrandModelNameOrModelNumber(UnitDictBrandModelDto unitDictBrandModelDto) {
        return unitDictConstantsService.getUnitDictBrandModelList(unitDictBrandModelDto);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean modificationUnit(UnitDto unitDto) {




        return false;
    }
}
